- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# factory.hh File Reference

Factory Method generic implementation. More...

Include dependency graph for factory.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn

## Detailed Description

Factory Method generic implementation.

This code comes from the proposed implementation by Alexandrescu, in his "Modern C++ Design" book.

See also:
  xml::converter, xml::Node

Author:
  Louis-Noël Pouchet <Louis-Noel.Pouchet@lrde.epita.fr>

Definition in file factory.hh.